Subject: Re: FVWM: stay on top toggle?

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 22 Jun 2001 14:06:03 +0000

I suggest not to write to me personally. I may be busy, not get an email
(I have mail problems from time to time) or just may not know the answer.
And others on the list may want to hear the answer too.

On 21 Jun 2001 17:04:38 -0700, STEFFL, ERIK *Internet* (SBCSI) wrote:
> 
> > -----Original Message-----
> > From: Mikhael Goikhman [mailto:[email-masked]]
> > 
> > On 18 Jun 2001 12:16:05 -0700, STEFFL, ERIK *Internet* (SBCSI) wrote:
> > > 
> > >   in fvwm 2.2.5:
> > > 
> > >   is there any way to set the particular window to stay on top? I
> > > know there is a way to set a style for set of windows but I would
> > > like to have something similar to 'Sticky' toggle to set the focused
> > > window to stay on top...
> > > 
> > >   e.g. is there anything that would be to 'StayOnTop' (style) what
> > > 'Stick' (action) is to 'Sticky' (style)?
> > 
> > First, if you simply want the current window to be on the top (raised),
> > use the following:
> > 
> >   FvwmAuto 0
> 
>   that's different issue.

Ok, but this was not easily understandable from the original message.
You wanted "the focused window to stay on top". :-)

> What I meant is assigning StayOnTop style
> dynamically (just like Stick assigns Sticky style dynamically) - I have a
> window and I want it to stay on top (not just raised, but remain on top all
> the time). Example:
> 
> Style "*" Sticky			# applies to all "*" windows
> Key F12   A    M    Stick	# same but applies to focused window
> 
> Style "*" StaysOnTop		# applies to all "*" windows
> Key F11   A    M    ???		# same but applies to focused window
> 
>   is there any way to accomplish what last line (with ???) attempts to do?

2.2 versions are not good for this. I know how to solve this in 2.2 (using
$w, PipeRead, xwininfo, grep, cut), but I don't want to suggest hacks.
The proper solution for the individual window styles will be after 2.5.0.

This particular problem is solvable in 2.3 and there are 2 solutions,
the first using Style (not relable) and the second using Layer command:

  AddToFunc ApplyStyleOnTheCurrentWindow
  + I Style $n $0          # $n is already propertly quoted
  + I   # we use one of a few style options where Recapture is needed in 2.3
  + I RecaptureWindow

  Key F1 A CS Pick ApplyStyleOnTheCurrentWindow StaysOnTop
  Key F2 A CS Pick ApplyStyleOnTheCurrentWindow StaysPut
  Key F3 A CS Pick ApplyStyleOnTheCurrentWindow StaysOnBottom

  Key F5 A CS Layer 0 12
  Key F6 A CS Layer default    # by default, default=4
  Key F7 A CS Layer 0 0

> > If you really need for some reason to use StayOnTop (in other words to
> > use layers) dynamically, consider to upgrade to 2.3.32, which enables
> > this:
> > 
> >   FvwmAuto 0 "Silent Layer 2" "Silent Layer default"
> 
>   now I'm completely lost - this does not seem to apply to a particular
> window so I'm quite sure it doesn't do what I asked about even though I
> don't know what it's doing.

Yes, FvwmAuto applies its enter-focus and leave-focus commands to any
current window automatically, not only to one specific window.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].